# Glib::Value< float > Class Template Reference
[Generic Values]

`#include <glibmm/value_basictypes.h>`

Inheritance diagram for Glib::Value< float >:
[legend]

List of all members.

## Public Types
typedef float | CppType
typedef gfloat | CType
## Public Member Functions
void | set (float data)
float | get () const
## Static Public Member Functions
static GType | value_type ()

### template <>
class Glib::Value< float >

## Member Typedef Documentation

typedef float Glib::Value< float >::CppType

typedef gfloat Glib::Value< float >::CType

## Member Function Documentation

float Glib::Value< float >::get | ( |  | ) | const

void Glib::Value< float >::set | ( | float | data | ) |

static GType Glib::Value< float >::value_type | ( |  | ) | `[static]`